/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Don Aug  1 15:56:02 CEST 2002
    copyright            : (C) 2002 by Olaf Lueg
    email                : olueg@olsd.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "krpmbuilder.h"

static const char *description =
	I18N_NOOP("KRPMBuilder");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "krpmbuilder", I18N_NOOP("KRPMBuilder"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2002, Olaf Lueg\n(c) 2005, Wolfgang Beutner", 0, 0, "olueg@olsd.de\nWolfgang.Beutner@gmx.de");
  aboutData.addAuthor("Olaf Lueg", "Start of project", "olueg@olsd.de");
  aboutData.addAuthor("Wolfgang Beutner", "Further development from 2005 on", "Wolfgang.Beutner@gmx.de");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  KRPMBuilder *krpmbuilder = new KRPMBuilder();
  a.setMainWidget(krpmbuilder);
  krpmbuilder->show();  

  return a.exec();
}
